検索
HOME
検索
サイトマップ
問い合わせ
ねこすけ
トップ > PEAR > HTTP_Requestインストール   

HTTP_Requestインストール

PEARのインストールは簡単ですが、時には既存インストールされているパッケージが古くてインストールエラーが出ることもあります。

そんなときは依存パッケージをはじめにアップグレードします。

コマンドは
pear upgrade ライブラリ名
です。
HTTP_Requestインストールで発生しました。


---------------------------------

[root@ns ~]# pear install HTTP_Request
downloading HTTP_Request-1.2.4.tar ...
Starting to download HTTP_Request-1.2.4.tar (-1 bytes)
.............done: 55,808 bytes
requires package `Net_Socket' >= 1.0.2
HTTP_Request: Dependencies failed
[root@ns ~]# pear install Net_Socket
Package 'Net_Socket' already installed, skipping
[root@ns ~]# pear upgrade Net_Socket
downloading Net_Socket-1.0.6.tar ...
Starting to download Net_Socket-1.0.6.tar (-1 bytes)
.......done: 19,968 bytes
upgrade ok: Net_Socket 1.0.6
[root@ns ~]# pear install HTTP_Request
downloading HTTP_Request-1.2.4.tar ...
Starting to download HTTP_Request-1.2.4.tar (-1 bytes)
.............done: 55,808 bytes
install ok: HTTP_Request 1.2.4

---------------------------------









  問い合わせ
ねこすけのsmarty著作権表示
ねこすけCMSへ
[EDIT]